% Calculation IMC paramter based on Ms

clc
clear all
n=100;
w=logspace(-2,2,n); % Frequency vector (logarithmic)
s=1i.*w;Msd=1.3;

% The value of process transfer function in each frequency
Gp=0.59*exp(-4.1*s)./(7.2*s+1);
ti=9.3;tc=7;
for cc=1:100
    % The value of controller transfer function in each frequency
    C=15.7/tc*(1+1./(ti*s));
    % The value of open loop transfer function in each frequency
    Gol=Gp.*C;
    % The value of Sensitivity function in each frequency
    S=1./(1+Gol);
    % Calculation of Ms
    MS=abs(S);
    Ms=max(MS);
    if abs(Ms-Msd)<.01,break,end
    tc=tc+.1;
end

    tc
    Ms
    


 


