% Tuning of PI controller using relay feedback test and ZN, TL,
% RIMC, SIMC or ISIMC

clc, 
global relay initial1 initial2 t0 v0 y0 delay k kk y amp1 amp2   
global per1 per2 Kc Ti

Name='Reactor_close2';   %Name of simulink model file
m2s=75;      % Nominal value of controller output signal (bias)
action=1;    % use 1 for reverse action and -1 for direct action
h=5;         % Amplitude of relay
h=h*action;
relay=1;     % Relay condition: 1=ON, 0=OFF
db=0.02;     % Dead bound of relay (must be greater than noise bound)
method=4;    % 1 for ZN, 2 for TL, 3 for RIMC, 4 for SIMC and 5 for ISIMC
Ms=1.3;      % Maximum of sensitivity function (desired value)

initial1=1;
initial2=1;
Kc=1*action;Ti=100;
k=1;kk=1;
per1=0;per2=0;
amp1=0;amp2=0;

    